CMSIS-DSP: arm_lms_norm_instance_q31 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_lms_norm_instance_q31 Struct Reference

Instance structure for the Q31 normalized LMS filter.

## Data Fields

uint16_t | numTaps
q31_t * | pState
q31_t * | pCoeffs
q31_t | mu
uint8_t | postShift
const q31_t * | recipTable
q31_t | energy
q31_t | x0

## Field Documentation

q31_t energy

saves previous frame energy.

q31_t mu

step size that controls filter coefficient updates.

uint16_t numTaps

number of coefficients in the filter.

q31_t* pCoeffs

points to the coefficient array. The array is of length numTaps.

uint8_t postShift

bit shift applied to coefficients.

q31_t* pState

points to the state variable array. The array is of length numTaps+blockSize-1.

const q31_t* recipTable

points to the reciprocal initial value table.

q31_t x0

saves previous input sample.